############################################################################
#
# Paviani problem
# as described in
#   M.M.  Ali,  C.  Khompatraporn  and  Z.B.  Zabinsky,   "A numerical
#   evaluation of several stochastic algorithms on selected continuous
#   global optimization test problems", Journal of Global Optimization
#   (2005) 31:635-672
#
# Coded for AMPL by: aivaz@dps.uminho.pt
# Minho University, Portugal
# 19 September 2005
############################################################################


# variables
var x{1..10};


# objective function, minimization problem
minimize fx:
    sum {i in 1..10} ((log(x[i]-2))^2+(log(10-x[i]))^2)-(prod {i in 1..10} (x[i]))^0.2;

subject to bounds {i in 1..10}:
    2 <= x[i] <= 10;


include solver.mod;

display fx;
display x;

printf "Global minimizer at (9.351,...,9.351) with fx=-45.778\n";
