############################################################################
#
# Zilinskas problem - f_12(x)
# as described in
#   E. Kiseleva and T. Stepanchuk, "On the efficiency of a global
#   non-differentiable optimization algorithm based on the method of optimal
#   set partitioning", Journal of Global Optimization 25: 209-235, 2003.
#
# Coded for AMPL by: aivaz@dps.uminho.pt
# Minho University, Portugal
# 01 October 2005
############################################################################

# parameters
param n := 1;

# variables
var x{1..n};

# objective function, minimization problem
minimize fx:
    sin(x[1]);

subject to bounds {i in 1..n}:
    0 <= x[i] <= 50;

include solver.mod;

display fx;
display x;

printf "sin(x) function\n";
